Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.xsl
Class nxsl

    java.lang.Object
      com.novell.xsl.nxsl

    public class nxsl

extends Object

A command-line driver for the Novell XSLT processor.

Constructor Summary
`nxsl()`

Method Summary
`static String` | `constructMessage(String key, Object[] parms)` Construct a message from a format message in the properties file and an array of parameters
`static void` | `main(String[] args)` The main method for the command-line driver.
`static void` | `showError(String key)` Print an error message from the properties file to `System.err`
`static void` | `showError(String key, String parm0)` Print a parameterized error message from the properties file to `System.err`
`static void` | `showMessage(String key, Object[] parms)` Print a parameterized message from the properties file to `System.out`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### nxsl

    public nxsl()

Method Detail

### main

    public static void main(String[] args)

  The main method for the command-line driver.

  Parameters:
    `args` - the command line arguments

### showError

    public static void showError(String key)

  Print an error message from the properties file to `System.err`

  Parameters:
    `key` - The key of the message string in the properties file

### showError

    public static void showError(String key,
                                 String parm0)

  Print a parameterized error message from the properties file to `System.err`

  Parameters:
    `key` - The key of the message string in the properties file
    `parm0` - The parameter for the message string

### showMessage

    public static void showMessage(String key,
                                   Object[] parms)

  Print a parameterized message from the properties file to `System.out`

  Parameters:
    `key` - The key of the message string in the properties file
    `parms` - The parameters for the message string

### constructMessage

    public static String constructMessage(String key,
                                          Object[] parms)

  Construct a message from a format message in the properties file and an array of parameters

  Parameters:
    `key` - The key of the message format string in the properties file
    `parms` - The parameters for the message format string

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD